Module java.compiler
Package javax.lang.model.util

## Class AbstractElementVisitor7<R,​P>

- java.lang.Object
- - javax.lang.model.util.AbstractElementVisitor6<R,​P>
  - - javax.lang.model.util.AbstractElementVisitor7<R,​P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `ElementVisitor<R,​P>`

Direct Known Subclasses:
  `AbstractElementVisitor8`

    @SupportedSourceVersion(RELEASE_7)
    public abstract class AbstractElementVisitor7<R,​P>
    extends AbstractElementVisitor6<R,​P>

A skeletal visitor of program elements with default behavior appropriate for the `RELEASE_7` source version.

WARNING: The `ElementVisitor` interface implemented by this class may have methods added to it in the future to accommodate new, currently unknown, language structures added to future versions of the Java™ programming language. Therefore, methods whose names begin with `"visit"` may be added to this class in the future; to avoid incompatibilities, classes which extend this class should not declare any instance methods with names beginning with `"visit"`.

When such a new visit method is added, the default implementation in this class will be to call the `visitUnknown` method. A new abstract element visitor class will also be introduced to correspond to the new language level; this visitor will have different default behavior for the visit method in question. When the new visitor is introduced, all or portions of this visitor may be deprecated.

Since:
  1.7
See Also:
  `AbstractElementVisitor6`, `AbstractElementVisitor8`, `AbstractElementVisitor9`

### Constructor Summary

Constructors
`protected` `AbstractElementVisitor7()` Constructor for concrete subclasses to call.

### Method Summary

### Methods declared in class javax.lang.model.util.AbstractElementVisitor6

`visit, visit, visitModule, visitUnknown`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.lang.model.element.ElementVisitor

`visitExecutable, visitPackage, visitType, visitTypeParameter, visitVariable`

### Constructor Detail

#### AbstractElementVisitor7

    protected AbstractElementVisitor7()

Constructor for concrete subclasses to call.